<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddPhoneButtonTemplateReq StructType
 * @subpackage Structs
 */
class AddPhoneButtonTemplateReq extends APIRequest
{
    /**
     * The phoneButtonTemplate
     * @var XPhoneButtonTemplate
     */
    public $phoneButtonTemplate;
    /**
     * Constructor method for AddPhoneButtonTemplateReq
     * @uses AddPhoneButtonTemplateReq::setPhoneButtonTemplate()
     * @param XPhoneButtonTemplate $phoneButtonTemplate
     */
    public function __construct(XPhoneButtonTemplate $phoneButtonTemplate = null)
    {
        $this
            ->setPhoneButtonTemplate($phoneButtonTemplate);
    }
    /**
     * Get phoneButtonTemplate value
     * @return XPhoneButtonTemplate|null
     */
    public function getPhoneButtonTemplate()
    {
        return $this->phoneButtonTemplate;
    }
    /**
     * Set phoneButtonTemplate value
     * @param XPhoneButtonTemplate $phoneButtonTemplate
     * @return AddPhoneButtonTemplateReq
     */
    public function setPhoneButtonTemplate(XPhoneButtonTemplate $phoneButtonTemplate = null)
    {
        $this->phoneButtonTemplate = $phoneButtonTemplate;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddPhoneButtonTemplateReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
